## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%define betatag beta16
%define basever 6.0.0
Name:           ulauncher
Version:        %{basever}~%{betatag}
Release:        %{autorelease}
Summary:        Linux Application Launcher
BuildArch:      noarch

License:        GPL-3.0-or-later
URL:            https://github.com/Ulauncher/Ulauncher
Source0:        %{url}/releases/download/v%{basever}-%{betatag}/%{name}-%{basever}-%{betatag}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  python3-dbus
BuildRequires:  python3-devel >= 3.6
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-gobject-devel >= 3.30
BuildRequires:  python3-Levenshtein
BuildRequires:  python3-pyxdg
BuildRequires:  systemd-rpm-macros
BuildRequires:  python3dist(requests)
BuildRequires:  pkgconfig(gtk+-3.0)

Requires:       hicolor-icon-theme
Requires:       webkit2gtk4.1
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject
Requires:       python3-Levenshtein

Recommends:     libappindicator-gtk3

%description
Ulauncher is a fast application launcher for Linux. It's is written in Python,
using GTK+.


%prep
%autosetup -n %{name}


%build
%py3_build


%install
%py3_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

%postun
%systemd_user_postun_with_restart %{name}.service


%files
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{name}
%{_bindir}/%{name}-toggle
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/io.ulauncher.Ulauncher.service
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/status/%{name}-indicator-symbolic.svg
%{_datadir}/icons/hicolor/scalable/status/%{name}-indicator-symbolic-dark.svg
%{_mandir}/man1/%{name}.1*
%{_userunitdir}/%{name}.service
%{python3_sitelib}/%{name}-*-py*.egg-info
%{python3_sitelib}/%{name}/


%changelog
## START: Generated by rpmautospec
* Sun Nov 17 2024 John Doe <packager@example.com> - 6.0.0~beta16-1
- Uncommitted changes
## END: Generated by rpmautospec
